Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs \ --header 'X-API-Key: <api-key>'
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs"headers = {"X-API-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": [ { "id": "<string>", "status": "<string>", "object": "simulation_run", "dataset_id": "<string>", "dataset_name": "<string>", "agent_id": "<string>", "agent_name": "<string>", "total_tests": 0, "passed_tests": 0, "failed_tests": 0, "success_rate": 123, "error_message": "<string>", "started_at": "<string>", "completed_at": "<string>" } ], "has_more": true, "total": 123, "object": "list" }
List all runs for a dataset.
OK
Paginated list response for simulation runs.
Show child attributes